DELETE
/api/v1/scaler/scalegroups/security_groups/{scaler_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/?security_group_id=<SECURITY_GROUP_ID>&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/", params={"security_group_id": "<SECURITY_GROUP_ID>", "project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/security_groups/{scaler_id}/");url.search = new URLSearchParams({ security_group_id: "<SECURITY_GROUP_ID>", project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Detaches a security group from the auto scaling group, identified by the security_group_id query parameter (the security group’s id).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scaler_id
required
integer
The id of the auto scaling group, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”security_group_id
required
integer
The id of the attached security group to detach.
Example
<SECURITY_GROUP_ID>project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the group.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
Security group detach confirmation.
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "message": "Security Group Detaching Successfully"}